#include "XBeeAPI.h"

XBeeAPI::XBeeAPI(PinName tx, PinName rx)
    :CoreAPI(serialData, false)
{
    serialData = new SerialData(tx, rx);
}

XBeeAPI::XBeeAPI(PinName tx, PinName rx, bool isEscape)
    :CoreAPI(serialData, isEscape)
{
    serialData = new SerialData(tx, rx);
}

XBeeAPI::XBeeAPI(PinName tx, PinName rx, int baudRate, bool isEscape)
    :CoreAPI(serialData, isEscape)
{
    serialData = new SerialData(tx, rx, baudRate);
}

XBeeAPI::XBeeAPI(ISerial * serial, bool isEscape)
    :CoreAPI(serial, isEscape)
{}

XBeeAPI::~XBeeAPI()
{
    if (serialData != NULL)
        delete serialData;
}