#ifndef UK_AC_HERTS_SMARTLAB_XBEE_API
#define UK_AC_HERTS_SMARTLAB_XBEE_API

#include "mbed.h"
#include "SerialData.h"
#include "CoreAPI.h"

class XBeeAPI: public CoreAPI
{
private:
    SerialData * serialData;

public:
    XBeeAPI(PinName tx, PinName rx);

    XBeeAPI(PinName tx, PinName rx, bool isEscape);

    XBeeAPI(PinName tx, PinName rx, int baudRate, bool isEscape);

    XBeeAPI(ISerial * serial, bool isEscape);
    
    ~XBeeAPI();
};

#endif